<script lang="ts">
	import Saos from 'saos';
	let articles = [
		{
			title: 'Le Retour',
			image: '/articles/logo-alagh.png',
			size: 'h-32',
			desc: "L'événement aura lieu pour la <b>troisième édition</b> du vendredi 26 au samedi 27 janvier 2024. Et pour cette édition, les fonds seront reversé à l'association <b>ALAGH</b>.<br/><b>ALAGH</b> a pour vocation d'aider les personnes, en Lorraine, en suite de grave handicap dont l'autonomie et la mobilité ont été restreint."
		},
		{
			title: 'La fin',
			image: '/articles/fin.jpg',
			size: 'h-32',
			desc: "Le TN'Event est terminé ! Merci à tous les streamers, membres et différents respo' d'avoir participé ou donné ! Nous avons réussi à soulever plus de <b>15000€</b> pour AREMIG !"
		},
		{
			title: "L'événement",
			image: '/logo-large.png',
			size: 'h-16',
			desc: "Le TN'Event est un événement caritatif organisé par <b><a href='https://humanitn.telecomnancy.net'>HumaniTN</a></b>, l'association humanitaire de TELECOM Nancy.L'objectif est de récolter un maximum de dons durant une journée (voire quelques heures en plus) sur Twitch pour une association.<br/>De nombreux étudiants s'impliquent dans cet événement afin de proposer des contenus plus divertissants les uns que les autres, dans la joie et la bonne humeur."
		},
		{
			title: 'AREMIG',
			image: '/logo-aremig.png',
			size: 'h-32',
			desc: "L'AREMIG a pour objectif de fournir un soutien aux enfants touchés par le cancer et à leurs familles. Elle agit aussi pour lutter contre l'isolement social, scolaire ou familial et oeuvre aussi dans la recherche locale en Lorraine."
		}
	];
</script>

<div class="flex flex-row w-full justify-center">
	<div class="flex flex-col w-full justify-center">
		<div class="flex flex-row flying justify-center">
			<div class="flex flex-col drop-shadow-xl md:mt-8 mt-12">
				<img src="/logo.png" alt="logo tn event" class="w-64 drop-shadow-lg" />
				<img src="/logo-large.png" alt="logo tn event" class="w-64 drop-shadow-lg" />
			</div>
			<div
				class="h-full text-6xl font-extrabold font-sans text-red-500 flex flex-col justify-center"
			>
				X
			</div>
			<div class="flex flex-col drop-shadow-xl">
				<img src="/logo-aremig.png" alt="logo tn event" class="w-64 drop-shadow-lg" />
			</div>
		</div>
		<div class="w-1/2 h-0.5 bg-white my-4 self-center" />
	</div>
</div>

<div class="flex flex-row w-full justify-center">
	<div class="grid grid-cols-1 lg:grid-cols-2 mt-8 md:p-24 p-2 gap-6">
		{#each articles as article, i}
			{#if i % 2 == 0}
				<Saos animation={'from-left 0.5s cubic-bezier(0.35, 0.5, 0.65, 0.95) both'}>
					<div
						class="flex flex-col md:flex-row drop-shadow-xl bg-blue-200 rounded-xl md:mr-24 lg:p-10 p-2"
					>
						<img src={article.image} alt="logo tn event" class="{article.size} drop-shadow-lg self-center" />
						<div class="flex flex-col md:ml-5">
							<div class="flex flex-col justify-center">
								<div class="text-2xl font-bold text-center">{article.title}</div>
								<div class="text-center mt-2">
									{@html article.desc}
								</div>
							</div>
						</div>
					</div>
				</Saos>
				<div class="hidden lg:flex" />
			{:else}
				<div class="hidden lg:flex" />
				<Saos animation={'from-right 0.5s cubic-bezier(0.35, 0.5, 0.65, 0.95) both'}>
					<div
						class="flex flex-col md:flex-row drop-shadow-xl bg-blue-300 rounded-xl md:mr-24 md:p-10 p-2"
					>
						<img src={article.image} alt="logo tn event" class="drop-shadow-lg self-center {article.size}" />
						<div class="flex flex-col md:ml-5">
							<div class="flex flex-col justify-center">
								<div class="text-2xl font-bold text-center">{article.title}</div>
								<div class="text-center mt-2">
									{@html article.desc}
								</div>
							</div>
						</div>
					</div>
				</Saos>
			{/if}
		{/each}
	</div>
</div>

<style>
	@keyframes flying {
		0% {
			transform: translateY(0%);
		}
		50% {
			transform: translateY(-10%);
		}
		100% {
			transform: translateY(0%);
		}
	}

	.flying {
		animation: flying 10s ease-in-out infinite;
	}
	@keyframes -global-from-left {
		0% {
			transform: rotateX(50deg) translateX(-10vw) skewX(-50deg);
			opacity: 1;
		}
		100% {
			transform: rotateX(0deg) translateX(0) skewX(0deg);
			opacity: 1;
		}
	}

	@media (max-width: 640px) {
		@keyframes -global-from-right {
			0% {
				transform: rotateX(50deg) translateX(-10vw) skewX(-50deg);
				opacity: 1;
			}
			100% {
				transform: rotateX(0deg) translateX(0) skewX(0deg);
				opacity: 1;
			}
		}
	}
	@media (min-width: 640px) {
		@keyframes -global-from-right {
			0% {
				transform: rotateX(50deg) translateX(10vw) skewX(-50deg);
				opacity: 1;
			}
			100% {
				transform: rotateX(0deg) translateX(0) skewX(0deg);
				opacity: 1;
			}
		}
	}
</style>
